unit uHTTPRequests_DBGalleryViewer;

interface

uses
  System.SysUtils, System.Classes, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient, IdHTTP,vcl.dialogs,IdException;

type
  THTTPRequests_DBGalleryViewer = class(TDataModule)
    IdHTTP: TIdHTTP;
  private
    { Private declarations }
  public
    { Public declarations }

     constructor Create(AOwner: TComponent); override;

     function IsHTTPConnectionOk(): boolean;

  end;

var
  HTTPRequests_DBGalleryViewer: THTTPRequests_DBGalleryViewer;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


uses uMainVisualFrame;
var MainVisualFrame_UnitVar:TMainVisualFrame;


{ TConnectedToMainVisualFrame }
constructor THTTPRequests_DBGalleryViewer.Create(AOwner: TComponent);
begin
  inherited;

    if (AOwner Is TMainVisualFrame) then
    MainVisualFrame_UnitVar:=(AOwner as TMainVisualFrame)

end;

function THTTPRequests_DBGalleryViewer.IsHTTPConnectionOk: boolean;
var MyServerResponse:String;
    HTTPServerToRequest:String;

begin

with MainVisualFrame_UnitVar do begin


Result:=false;

    HTTPServerToRequest:=MainVisualFrame_UnitVar.HTTP_ConnectionParams.HTTPServerToRequest;
    try
    MyServerResponse:=IdHTTP.Get(HTTPServerToRequest+'/testConnection'); // //for example like http://localhost:40000
    except

    //on E:Exception do raise Exception.Create('SERVER CONNECTION ERROR Message='+E.Message);

    on E: EIdException do

         begin

         ShowMessage( 'Communication Exception, SERVER CONNECTION ERROR: ' + E.Message);

         end;


    on E: Exception do

         begin

         ShowMessage( 'VCL Exception: ' + E.Message);

         end;


    end;



    if MyServerResponse<>'ok' then

    begin
    showmessage('SERVER CONNECTION ERROR');
    raise Exception.Create('SERVER CONNECTION ERROR '+MyServerResponse);
    end;



//    if IdHTTP.ResponseCode=200 then// ResponseText='HTTP/1.1 200 OK' then
    Result:=true; // <<<< If Succeded


end;


end;

end.
