unit uDBConnection_Coffeetest;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option, FireDAC.Stan.Error, FireDAC.UI.Intf,
  FireDAC.Phys.Intf, FireDAC.Stan.Def, FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.VCLUI.Wait, Data.DB,
  FireDAC.Comp.Client, FireDAC.Phys.MySQLDef, FireDAC.Phys.MySQL,Vcl.Dialogs;

type
  TDBConnection_Coffeetest = class(TDataModule)
    FDConnection: TFDConnection;
    FDPhysMySQLDriverLink: TFDPhysMySQLDriverLink;
  private
    { Private declarations }



  public
    { Public declarations }

    procedure Connect();


  end;

var
  DBConnection_Coffeetest: TDBConnection_Coffeetest;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

{ TDBConnection_Coffeetest }

procedure TDBConnection_Coffeetest.Connect;

var oParams:TStrings;

begin

oParams:=TStringList.Create;


 try

  oParams.Add('DataBase=coffeetest_db');
  oParams.Add('Password=masterkey');
  oParams.Add('User_Name=root');
  oParams.Add('Port=3306');
  oParams.Add('Server=localhost');
  oParams.Add('CharacterSet=utf8');

  FDConnection.Params.Assign(oParams);
  FDConnection.DriverName:='MySQL';



   // 

   try

   FDConnection.Connected:=true;

   if FDConnection.Connected then
   showmessage('Connected');




   except



   on E: EFDDBEngineException do

    case E.Kind of
    ekUserPwdInvalid:


       // user name or password are incorrect
       raise Exception.Create('DBConnection Error. User name or password are incorrect'+
       #13#10+#13#10+E.ClassName+'  ,   : '+E.Message);



    ekUserPwdExpired:


      raise Exception.Create('DBConnection Error. User password is expired'
    +#13#10+#13#10+E.ClassName+'  ,   : '+E.Message);



    ekServerGone:



      raise Exception.Create('DBConnection Error. DBMS is not accessible due to some reason'
      +#13#10+#13#10+E.ClassName+'  ,   : '+E.Message);




    else                // other issues



      raise Exception.Create('DBConnection Error. UnknownMistake'
      +#13#10+#13#10+E.ClassName+'  ,   : '+E.Message);





    end;

    on E : Exception do

      raise Exception.Create(
      E.ClassName+'  ,   : '+#13#10+#13#10+E.Message
      );





   end;




 finally

  FreeAndNil(oParams);

 end;


end;





end.
