unit uPictureFrame;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls;

type
  TPictureFrame = class(TFrame)
    PaintBox: TPaintBox;
    Image: TImage;
    cbCheckBox: TCheckBox;
    procedure FrameClick(Sender: TObject);
    procedure PaintBoxPaint(Sender: TObject);


  private
    { Private declarations }

    procedure CenterImage();

    procedure PaintBorder();

  public
    { Public declarations }

     constructor Create(AOwner: TComponent); override;

  end;

implementation

{$R *.dfm}

procedure TPictureFrame.CenterImage;
begin

//
Image.Left:=Trunc(Self.Width/2 - image.Width/2);
Image.Top:=Trunc(Self.Height/2 - image.Height/2);

end;

constructor TPictureFrame.Create(AOwner: TComponent);
begin
  inherited;
  CenterImage();

  cbCheckBox.Width:=PaintBox.Width-cbCheckBox.Left-10;

//

end;

procedure TPictureFrame.FrameClick(Sender: TObject);
begin

//



end;

procedure TPictureFrame.PaintBorder;
begin


PaintBox.Canvas.Pen.Color:=$A4A0A0;
PaintBox.Canvas.MoveTo(5,5);
PaintBox.Canvas.LineTo(5,Self.ClientHeight-5);
PaintBox.Canvas.MoveTo(5,5);
PaintBox.Canvas.LineTo(Self.ClientWidth-5,5);
PaintBox.Canvas.MoveTo(Self.ClientWidth-5,ClientHeight-5);
PaintBox.Canvas.LineTo(5,ClientHeight-5);
PaintBox.Canvas.MoveTo(Self.ClientWidth-5,ClientHeight-5);
PaintBox.Canvas.LineTo(Self.ClientWidth-5,5);

end;

procedure TPictureFrame.PaintBoxPaint(Sender: TObject);
begin

PaintBox.Canvas.Brush.Color:=clWhite;
PaintBox.Canvas.FillRect(PaintBox.Canvas.ClipRect);
PaintBorder;

end;

end.
